/*
 * Copyright (C) 2023 The Layers Project
 *
 * This file is part of QLayers.
 *
 * QLayers is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * QLayers is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with QLayers. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef QLRADIOBUTTONPOOL_H
#define QLRADIOBUTTONPOOL_H

#include <QList>
#include <QObject>

#include "qlayers_global.h"
#include "qlayers_export.h"

QLAYERS_NAMESPACE_BEGIN
class QLRadioButton;

class QLAYERS_EXPORT QLRadioButtonPool : public QObject
{
	Q_OBJECT

public:
	QLRadioButtonPool(QList<QLRadioButton*> radio_buttons);

	void set_active(QLRadioButton* button);

private:
	QLRadioButton* m_active_button{ nullptr };

	QList<QLRadioButton*> m_radio_buttons;
};
QLAYERS_NAMESPACE_END

#endif // QLRADIOBUTTONPOOL_H
